Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.io
Class TextWordIMatrixConstructor

    java.lang.Object
      infomat.io.TextWordIMatrixConstructor

    public class TextWordIMatrixConstructor

extends java.lang.Object

For constructing a text-word-IMatrix. Used in the import classes.

Field Summary
`(package private) int` | `id`
`private IMatrix` | `matrix`
`private java.util.HashMap<java.lang.String,IVector<IVectorIndex>>` | `stringProj`
`private java.util.HashMap<java.lang.String,IObject>` | `stringWordObjectMap`
`(package private) IObject` | `textObject`
`(package private) IObject` | `wordObject`

Constructor Summary
`TextWordIMatrixConstructor()`
`TextWordIMatrixConstructor(IMatrix wordProjectionMatrix, SparseISimilarity sim)`

Method Summary
`void` | `addText(java.lang.String s, java.lang.String location)`
`void` | `addWord(java.lang.String wordString, java.lang.String location, int localCount, float localWeight, float weight)`
`IMatrix` | `getIMatrix()`
`private void` | `initialize(IMatrix wordProjectionMatrix, SparseISimilarity sim)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### matrix

    private IMatrix matrix

### stringProj

    private java.util.HashMap<java.lang.String,IVector<IVectorIndex>> stringProj

### stringWordObjectMap

    private java.util.HashMap<java.lang.String,IObject> stringWordObjectMap

### textObject

    IObject textObject

### wordObject

    IObject wordObject

### id

    int id

Constructor Detail

### TextWordIMatrixConstructor

    public TextWordIMatrixConstructor()

### TextWordIMatrixConstructor

    public TextWordIMatrixConstructor(IMatrix wordProjectionMatrix,
                                      SparseISimilarity sim)

Method Detail

### getIMatrix

    public IMatrix getIMatrix()

### initialize

    private void initialize(IMatrix wordProjectionMatrix,
                            SparseISimilarity sim)

### addText

    public void addText(java.lang.String s,
                        java.lang.String location)

### addWord

    public void addWord(java.lang.String wordString,
                        java.lang.String location,
                        int localCount,
                        float localWeight,
                        float weight)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD